"use strict";

var _getConfig = _interopRequireDefault(require("./utils/getConfig"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const config = (0, _getConfig.default)({
  commands: ['dev', 'build', 'serve', 'clean', 'help', // TODO: Document
  'list', 'install', 'uninstall', 'git'],
  defaultCommand: 'help'
});
const {
  command
} = config;

try {
  const result = require(`./commands/${command}`)(config);

  if (result && result.catch) result.catch(e => console.error(e));
} catch (e) {
  console.error(e);
}