"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = list;

var _getBundles = _interopRequireDefault(require("../utils/getBundles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function list(config) {
  const {
    log,
    relative
  } = config;
  const {
    options
  } = config;
  options.sub = typeof options.sub !== 'undefined' ? options.sub : true;
  const bundles = (0, _getBundles.default)(config);
  log.title('Projects');
  bundles.forEach(b => log(relative(b.root) || '.'));
}

module.exports = exports.default;